Package org.apache.storm.daemon.drpc.webapp

## Class DRPCResource

- java.lang.Object
- - org.apache.storm.daemon.drpc.webapp.DRPCResource

-     @Path("/drpc/")
      public class DRPCResource
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DRPCResource​(DRPC drpc, StormMetricsRegistry metricsRegistry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `get​(String func, jakarta.servlet.http.HttpServletRequest request)` |
    `String` | `get​(String func, String args, jakarta.servlet.http.HttpServletRequest request)` |
    `String` | `post​(String func, String args, jakarta.servlet.http.HttpServletRequest request)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DRPCResource

          public DRPCResource​(DRPC drpc,
                              StormMetricsRegistry metricsRegistry)

  - ### Method Detail

    - #### post

          @POST
          @Path("/{func}")
          public String post​(@PathParam("func")
                             String func,
                             String args,
                             @Context
                             jakarta.servlet.http.HttpServletRequest request)
                      throws Exception

      Throws:
        `Exception`

    - #### get

          @GET
          @Path("/{func}/{args}")
          public String get​(@PathParam("func")
                            String func,
                            @PathParam("args")
                            String args,
                            @Context
                            jakarta.servlet.http.HttpServletRequest request)
                     throws Exception

      Throws:
        `Exception`

    - #### get

          @GET
          @Path("/{func}")
          public String get​(@PathParam("func")
                            String func,
                            @Context
                            jakarta.servlet.http.HttpServletRequest request)
                     throws Exception

      Throws:
        `Exception`